#--
# Copyright (c) 2010 Moodstocks SAS
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# or in the LICENSE file which you should have received as part of
# this distribution.
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#++

module MNotes class SearchResult
  
  attr_reader :found, :note_id, :object_id, :user
    
  def initialize(h, user)
    @note_id, @object_id, @found = h.values_at(:note, :object, :found)
    @user = user
  end
  
  def comment(text, location=nil)
    @user.update_note(@note_id, text, location)
    self
  end
  
  def note
    Note::retrieve(@note_id)
  end
  
  def object
    MNotes::Object::retrieve(@object_id)
  end
  
end end
